## haskell98-report 20030706

=== ffi/Makefile ===
threads.ps: threads.tex
	TEXINPUTS=../styles: latex threads.tex
	dvips -f < threads.dvi > threads.ps

ffi.ps: ffi.tex
	TEXINPUTS=../styles: latex ffi.tex
	dvips -f < ffi.dvi > ffi.ps

# This is yucky, but there is not much choice as we need to subsitute a 
# different Makefile for the tarball.
#
TMP=/tmp
.PHONY: ffi.tar.gz
ffi.tar.gz:
	mkdir $(TMP)/ffi
	cp ffi.tex $(TMP)/ffi/
	cp ffi.bib $(TMP)/ffi/
	cp ../styles/grammar.sty $(TMP)/ffi/
	cp COPYING.ffi $(TMP)/ffi/COPYING
	cp Makefile.ffi $(TMP)/ffi/Makefile
	cd $(TMP); tar -czf $(PWD)/ffi.tar.gz ffi
	-rm -f $(TMP)/ffi/*
	-rmdir $(TMP)/ffi

## haskell98-report 20080907

=== Makefile ===
RELEASE_DIR = haskell98-revised
JFP_DIR = jfp-release

release:
	(cd report; make release)
	(cd libraries; make release)
	(cd jfp-release; make)
	cp h98-revised.html $(RELEASE_DIR)/index.html
	cp haskell98-bugs.html h98.gif $(RELEASE_DIR)
	gzip < jfp-release/h98-book.ps > $(RELEASE_DIR)/h98-book.ps.gz
	gzip < jfp-release/h98-book.pdf > $(RELEASE_DIR)/h98-book.pdf.gz

jfp:
	-mkdir $(JFP_DIR)
	(cd report; make jfp)
	(cd libraries; make jfp)

# Places to change when you change the date of the Report
# 	h98-revised.html
#	report/index.html   libraries/index.html
#	report/html.config  libraries/html.config
#	report/haskell.verb libraries/library.verb

=== ffi/Makefile ===
--- 
+++ 
@@ -5,6 +5,10 @@
 ffi.ps: ffi.tex
 	TEXINPUTS=../styles: latex ffi.tex
 	dvips -f < ffi.dvi > ffi.ps
+
+# Requires TeX4ht
+ffi.html: ffi.tex ffi.cfg
+	xhlatex ffi.tex "ffi,2"
 
 # This is yucky, but there is not much choice as we need to subsitute a 
 # different Makefile for the tarball.
@@ -15,9 +19,24 @@
 	mkdir $(TMP)/ffi
 	cp ffi.tex $(TMP)/ffi/
 	cp ffi.bib $(TMP)/ffi/
+	cp ffi.cfg $(TMP)/ffi/
 	cp ../styles/grammar.sty $(TMP)/ffi/
 	cp COPYING.ffi $(TMP)/ffi/COPYING
 	cp Makefile.ffi $(TMP)/ffi/Makefile
 	cd $(TMP); tar -czf $(PWD)/ffi.tar.gz ffi
 	-rm -f $(TMP)/ffi/*
 	-rmdir $(TMP)/ffi
+
+TMP=/tmp
+.PHONY: ffi.html.tar.gz
+ffi.html.tar.gz:
+	mkdir $(TMP)/ffi
+	cp *.html *.png ffi.css $(TMP)/ffi/
+	cp COPYING.ffi $(TMP)/ffi/COPYING
+	cd $(TMP); tar -czf $(PWD)/ffi.html.tar.gz ffi
+	-rm -f $(TMP)/ffi/*
+	-rmdir $(TMP)/ffi
+
+.PHONY: clean
+clean:
+	-rm -f *.aux *.log *.blg *.dvi *.bbl *.toc *.ps *.html *.css *.png *.4ct *.4tc *.idv *.xref tex4ht.fls

=== hierarchical-modules/Makefile ===
all : hier.ps hier.pdf

hier.ps: hier.tex
	TEXINPUTS=../styles: latex $<
	dvips -f < hier.dvi > $@

hier.pdf: hier.tex
	TEXINPUTS=../styles: pdflatex $<

clean :
	rm hier.ps hier.pdf

=== libraries/Makefile ===
# Makefile for the Haskell Library Report
# read the README file before you start!
#

# Begin by saying
#	touch library.idx

default: library.ps.gz html


#########################################
#	Tools you need
#########################################

# Stuf from the tools/directory
RUN_TEX   = ../tools/run_tex
RUN_INDEX = ../tools/run_index
VERBATIM  = ../tools/verbatim

# splitAndIndexPgm won't work unless you have "perl"
SPLITPGM = perl ../tools/splitAndIndexPgm

CC    = gcc
RM    = rm -f
LATEX = latex
MAKEINDEX = makeindex

# 'expand' expands tabs to spaces
# On my machine the windows program (which does something
# quite different) shadows it.  Sigh.
EXPAND = expand
# EXPAND = c:/cygwin/bin/expand


#########################################
#	Files
#########################################

# I've been having problems with that damn NT messing up filenames in the html
# generator so I'm changing the .verb files to lower case  -- jcp

RELEASE_DIR = ../haskell98-revised
JFP_DIR = ../jfp-release

PARTS =		library.tex introduction.tex ratio.tex complex.tex ix.tex \
                numeric.tex \
                array.tex io.tex char.tex monad.tex list.tex \
                system.tex directory.tex \
                maybe.tex time.tex cputime.tex random.tex \
		locale.tex 

CODE =		code/Ratio.tex code/Complex.tex code/Ix.tex \
                code/Numeric.tex \
                code/Array.tex code/Char.tex code/List.tex \
                code/Monad.tex code/Maybe.tex code/IO.tex \
		code/Time.tex code/Locale.tex

CODEV =		code/Ratio.verb code/Complex.verb code/Ix.verb \
                code/Numeric.verb \
                code/Array.verb code/Char.verb code/List.verb \
                code/Monad.verb code/Maybe.verb code/IO.verb code/Bit.verb \
		code/Time.verb code/Locale.verb

HEADERS =	headers/Ratio.tex headers/Complex.tex headers/Ix.tex \
                headers/Numeric.tex \
                headers/Array.tex headers/IO.tex headers/Char.tex \
		headers/List.tex headers/List1.tex \
                headers/Monad.tex headers/System.tex headers/Directory.tex \
                headers/Maybe.tex headers/IO1.tex headers/Random.tex \
		headers/Time.tex headers/Time1.tex headers/CPUTime.tex \
		headers/Locale.tex 
 
HEADERSV =	headers/Ratio.verb headers/Complex.verb headers/Ix.verb \
                headers/Numeric.verb \
                headers/Array.verb headers/IO.verb headers/Char.verb \
		headers/List.verb headers/List1.verb \
                headers/Monad.verb headers/System.verb headers/Directory.verb \
                headers/Maybe.verb headers/IO1.verb headers/Random.verb \
		headers/Time.verb headers/CPUTime.verb \
		headers/Locale.verb 

# The normally formatted report -- 2 sided, one-up
library.dvi: library.ind ${PARTS} ${CODE} ${HEADERS} index-intro.tex

html: index.html ${PARTS} ${SYNTAX} ${PRELUDE}
	-mkdir haskell98-library-html
	$(RUN_TEX)
	$(RUN_TEX)
	cp *.gif index.html haskell98-library-html

# remove this rule if you don't have "makeindex"
library.ind: library.idx
	makeindex -i -t library.ilg < library.idx > library.ind

veryclean: clean
	$(RM) *~ code/*~ headers/*~

clean:
	$(RM) *.dvi *.log *.aux *.ilg *.blg *.toc haskell.tex \
		$(PARTS) $(CODE) $(HEADERS) \
		library.ps library.pdf haskell98-library-html/*
	cp library.ind library.ind.two-sided 
	echo "Don't delete the Prelude*.tex files"
	echo "Not everyone has \"perl\" to re-make them"


# Stuff to make the "two-up" version for SIGPLAN Notices:
# We take the A4 pages and double them up onto (virtual) A3 pages:
# (two A5 pages make one A4 page; two A4 pages make one A3 page; ...)
#
#	% dvidvi '2:0,1(210mm,0)' haskell.dvi > haskell-2up.dvi
#
# We now print the "A3" pages in landscape, but "magnify" them by
# 1 / sqrt(2) ~ 0.7071; this should make our "A4" pages print in an
# A4 space: presto! 2up printing!
# (except that I've tried to make it give us 1" margins all round
#  when we print on US 8.5"x11" paper)
#
#	% dvips -t landscape -x 707 haskell-2up.dvi > haskell-2up.ps
#
# if your "dvips" is set up properly, it will run Metafont for you,
# creating just-right magnifications for all the fonts.
#
# print with: lpr -Pmy-laserwriter haskell-2up.ps

# These rules keep failing for me (segmentation fault on haskell-2up.dvi)
# The output seems fine, though, and the individual commands work
# perfectly(!).  More network wierdness?  KH


verbs:  $(CODEV) $(HEADERSV)

library.ps : library.dvi
	dvips library.dvi -o library.ps

release: library.ps html
	gzip < library.ps > $(RELEASE_DIR)/library.ps.gz
	cp -r haskell98-library-html $(RELEASE_DIR)
	tar cvf - haskell98-library-html | gzip > $(RELEASE_DIR)/haskell98-library-html.tar.gz

publish-pdf: library.pdf
	gzip < library.pdf > y:Haskell/haskell98-library/library.pdf.gz

jfp: ${PARTS} ${CODE} ${HEADERS} index-intro.tex
	-mkdir $(JFP_DIR)
	-mkdir $(JFP_DIR)/code
	-mkdir $(JFP_DIR)/headers
	for n in ${PARTS}  ${CODE}  ${HEADERS}; do  \
		../tools/subsection < $$n >  $(JFP_DIR)/$$n ; done 

#########################################
#	Suffix rules
#########################################

.SUFFIXES:	.hs .verb .tex .dvi .gz .ps

.verb.tex:
	$(EXPAND) < $< | $(VERBATIM) >$@

.hs.verb:
	$(EXPAND) < $< | $(SPLITPGM) >$@

.hs.tex:
	$(EXPAND) < $< | $(SPLITPGM) | $(VERBATIM) >$@

.tex.dvi:
	$(LATEX) $<

=== packages/Makefile ===
default:
	$(HOME)/builds/HEAD/glafp-utils/docbook/db2dvi -d $(HOME)/builds/HEAD/docs/fptools-both.dsl pkg-spec.sgml
	dvips -f < pkg-spec.dvi > pkg-spec.ps

=== report/Makefile ===
# Makefile for the Haskell Report
# read the README file before you start!
#
#	Target 'jfp' copies stuff into $(JFP_DIR) for the JFP book
#	you need to do the same in the libraries directory

##########################################
# What to make if you type 'make'

default: haskell.ps html

# Begin by saying
#	touch haskell.idx


#########################################
#	Tools you need
#########################################

# Stuf from the tools/directory
RUN_TEX   = ../tools/run_tex
RUN_INDEX = ../tools/run_index
VERBATIM  = ../tools/verbatim

# splitAndIndexPgm won't work unless you have "perl"
SPLITPGM = perl ../tools/splitAndIndexPgm

RM    = rm -f
LATEX = latex
MAKEINDEX = makeindex

# 'expand' expands tabs to spaces
# On my machine the windows program (which does something
# quite different) shadows it.  Sigh.
EXPAND = expand
# EXPAND = c:/cygwin/bin/expand


#########################################
#	Files 
#########################################

RELEASE_DIR = ../haskell98-revised
JFP_DIR = ../jfp-release

PARTS =		preface-jfp.tex $(PARTS_NO_PREFACE)
PARTS_NO_PREFACE = iso-chars.tex \
		intro.tex lexemes.tex  exps.tex \
		decls.tex  modules.tex  basic.tex  io-13.tex \
		derived.tex \
		index-extra.tex index-intro.tex layout.tex \
		literate.tex pragmas.tex standard-prelude.tex \
		ratio.tex complex.tex ix.tex \
                numeric.tex \
                array.tex io.tex char.tex monad.tex list.tex \
                system.tex directory.tex \
                maybe.tex time.tex cputime.tex random.tex \
		locale.tex 

SYNTAX =	syntax-lexical.tex syntax-iso.tex

CODE =		lib-code/Ratio.tex lib-code/Complex.tex lib-code/Ix.tex \
                lib-code/Numeric.tex \
                lib-code/Array.tex lib-code/Char.tex lib-code/List.tex \
                lib-code/Monad.tex lib-code/Maybe.tex lib-code/IO.tex \
		lib-code/Time.tex lib-code/Locale.tex

HEADERS =	lib-hdrs/Ratio.tex lib-hdrs/Complex.tex lib-hdrs/Ix.tex \
                lib-hdrs/Numeric.tex \
                lib-hdrs/Array.tex lib-hdrs/IO.tex lib-hdrs/Char.tex \
		lib-hdrs/List.tex lib-hdrs/List1.tex \
                lib-hdrs/Monad.tex lib-hdrs/System.tex lib-hdrs/Directory.tex \
                lib-hdrs/Maybe.tex lib-hdrs/IO1.tex lib-hdrs/Random.tex \
		lib-hdrs/Time.tex lib-hdrs/Time1.tex lib-hdrs/CPUTime.tex \
		lib-hdrs/Locale.tex 

PRELUDE =	Prelude.tex PreludeList.tex PreludeText.tex PreludeIO.tex

LIBPARTS =	lib-array.tex lib-intro.tex lib-io.tex lib-num.tex lib-os.tex lib-text.tex \
		lib-index-intro.tex lib-posix.tex

LIBS =		LibMonadicIO.tex LibStdIO.tex LibIOError.tex LibReadTextIO.tex LibWriteTextIO.tex \
		LibSystem.tex LibDirectory.tex LibCPUTime.tex LibTime.tex LibUserInterrupt.tex \
		LibRatio.tex LibArray.tex LibComplex.tex LibText.tex \
		LibIO.tex LibIx.tex LibPosix.tex


#########################################
#	Main targets
#########################################

# The normally formatted report -- 2 sided, one-up
haskell.verb: plain_haskell.verb
	-cp plain_haskell.verb haskell.verb

haskell.tex: haskell.verb
	$(EXPAND) < $< | $(VERBATIM) >$@

haskell.dvi:  haskell.tex ${PARTS} $(SYNTAX) ${PRELUDE}

# I have no idea why run_tex is run twice.  SLPJ
html: index.html ${PARTS} ${SYNTAX} ${PRELUDE}
	-mkdir haskell98-report-html
	$(RUN_TEX)
	$(RUN_TEX)
	$(RUN_INDEX)
	cp index.html *.gif haskell98-report-html

haskell.dvi: haskell.tex haskell.ind ${PARTS} $(SYNTAX) ${PRELUDE}  ${CODE} ${HEADERS}


# remove this rule if you don't have "makeindex"
haskell.ind: haskell.idx
	$(MAKEINDEX) -i -t haskell.ilg < haskell.idx > haskell.ind

haskell.ps : haskell.dvi
	dvips haskell.dvi -o haskell.ps

# Can't use pdflatex because of eps inclusion

release: haskell.ps html
	ps2pdf haskell.ps
	gzip < haskell.ps > $(RELEASE_DIR)/haskell.ps.gz
	cp haskell.pdf $(RELEASE_DIR)/haskell.pdf
	cp -r haskell98-report-html $(RELEASE_DIR)
	tar cvf - haskell98-report-html | gzip > $(RELEASE_DIR)/haskell98-report-html.tar.gz
	cp h98-revised.html $(RELEASE_DIR)/index.html
	cp haskell98-bugs.html h98.gif $(RELEASE_DIR)
	cp haskell98-revised-bugs.html h98.gif $(RELEASE_DIR)

publish-pdf: report.pdf
	gzip < report.pdf > y:Haskell/haskell98-report/report.pdf.gz


#########################################
#	Generic stuff
#########################################

veryclean: clean
	$(RM) *~ 

clean:
	$(RM) *.dvi *.log *.aux *.ilg *.blg *.toc ${PARTS} $(SYNTAX) \
		haskell.tex haskell.ps haskell.pdf *.o lex.yy.c haskell98-report-html/*
	cp haskell.ind haskell.ind.two-sided
	echo "Don't delete the Prelude*.tex files"
	echo "Not everyone has \"perl\" to re-make them"


#########################################
#	Suffix rules
#########################################

.SUFFIXES:	.hi .hs .verb .tex .dvi

.verb.tex:
	$(EXPAND) < $< | $(VERBATIM) | ../tools/subsection >$@
# The 'subsection' part changes section -> chapter for the book style

.hs.verb:
	$(EXPAND) < $< | $(SPLITPGM) >$@

%.tex: %.hs
	$(EXPAND) < $< | $(SPLITPGM) | $(VERBATIM) >$@

.hi.tex:
	$(EXPAND) < $< | $(SPLITPGM) | $(VERBATIM) >$@

.tex.dvi:
	$(LATEX) $<


# -----------------------------------------------------------
#			Out of date stuff
# -----------------------------------------------------------

# Report as formatted for SIGPLAN -- 2 sided, 2-up, odd pages on left.
# This is a bit horrible.  But almost nobody should need to do this. KH
sigplan_haskell.dvi: sigplan_haskell.verb sigplan_article.sty \
	             haskell.tex haskell.ind \
		     ${PARTS} $(SYNTAX) ${PRELUDE}
	cp sigplan_article.sty article.sty
	cp sigplan_haskell.verb haskell.verb
	-make haskell.dvi
	cp plain_haskell.verb haskell.verb


sigplan_haskell-libraries.dvi:  sigplan_haskell-libraries.tex haskell-libraries.ind ${LIBPARTS} ${LIBS}

haskell-libraries.dvi:  haskell-libraries.tex haskell-libraries.ind ${LIBPARTS} ${LIBS}

# ----------------------- END OF OLD SIGPLAN STUFF -----------------------------------

jfp: h98-book.tex preface-jfp.tex ${PARTS_NO_PREFACE} $(SYNTAX) ${PRELUDE}
	-mkdir $(JFP_DIR)
	for n in h98-book.tex preface-jfp.tex \
		${PARTS_NO_PREFACE} $(SYNTAX) ${PRELUDE} ; do  \
		../tools/subsection < $$n >  $(JFP_DIR)/$$n ; done 
	cp classes.eps $(JFP_DIR)
	cp  haskell.bbl $(JFP_DIR)/h98-book.bbl
	cp Makefile-jfp-book $(JFP_DIR)/Makefile




# Stuff to make the "two-up" version for SIGPLAN Notices:
# We take the A4 pages and double them up onto (virtual) A3 pages:
# (two A5 pages make one A4 page; two A4 pages make one A3 page; ...)
#
#	% dvidvi '2:0,1(210mm,0)' haskell.dvi > haskell-2up.dvi
#
# We now print the "A3" pages in landscape, but "magnify" them by
# 1 / sqrt(2) ~ 0.7071; this should make our "A4" pages print in an
# A4 space: presto! 2up printing!
# (except that I've tried to make it give us 1" margins all round
#  when we print on US 8.5"x11" paper)
#
#	% dvips -t landscape -x 707 haskell-2up.dvi > haskell-2up.ps
#
# if your "dvips" is set up properly, it will run Metafont for you,
# creating just-right magnifications for all the fonts.
#
# print with: lpr -Pmy-laserwriter haskell-2up.ps

# These rules keep failing for me (segmentation fault on haskell-2up.dvi)
# The output seems fine, though, and the individual commands work
# perfectly(!).  More network wierdness?  KH

haskell-2up.ps : haskell-2up.dvi
	dvips -t landscape -x 707 haskell-2up.dvi > haskell-2up.ps

haskell-2up.dvi : haskellx.dvi
	-dvidvi '2:0(0in,0in),1(160mm,0in)' haskellx.dvi > haskell-2up.dvi

haskellx.dvi : sigplan_haskell.dvi
	dviselect =4: haskell.dvi haskellx.dvi

haskell-libraries-2up.ps : haskell-libraries-2up.dvi
	dvips -t landscape -x 707 haskell-libraries-2up.dvi > haskell-libraries-2up.ps

haskell-libraries-2up.dvi : haskell-librariesx.dvi
	-dvidvi '2:0(0in,0in),1(160mm,0in)' haskell-librariesx.dvi > haskell-libraries-2up.dvi

haskell-librariesx.dvi : sigplan_haskell-libraries.dvi
	dviselect =4: sigplan_haskell-libraries.dvi haskell-librariesx.dvi

=== tools/Makefile ===
#	Tools for building the Haskell Report

# tex.hs             -- Program to generate html from verb / hs
# index.hs           -- Program to hyperlink prelude index
# splitAndIndexPgm   -- perl script to convert .hs to .verb


# What is GHC?
GHC = ghc

# What is Lex?
LEX = flex
LEX_OPTS = -t -8

all : verbatim run_tex run_index

verbatim: verbatim.lex
	$(LEX) $(LEX_OPTS) verbatim.lex > verbatim.c || ( rm -f verbatim.c && exit 1 )
	$(CC) -c verbatim.c -o verbatim.o
	$(CC) -o verbatim verbatim.o

run_tex: tex.hs
	$(GHC) -o run_tex tex.hs -fglasgow-exts -H20m -package lang

run_index: index.hs
	$(GHC) -o run_index index.hs -fglasgow-exts -H20m

=== debian/changelog ===
haskell98-report (20080907-8) unstable; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 28 Oct 2016 01:42:11 -0400

haskell98-report (20080907-7) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Sean Whitton ]
  * Refresh patch.

  [ Gianfranco Costamagna ]
  * Fix VCS fields

  [ Clint Adams ]
  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:19 -0400

haskell98-report (20080907-6) unstable; urgency=medium

  [ Joachim Breitner ]
  * Bump standards-version to 3.9.6

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:02 -0500

haskell98-report (20080907-5) unstable; urgency=low

  * Bump standards version, no change
  * Enable compat level 9
  * Port tools/tex.hs and tools/index.hs to “new” Control.Exception (Closes:
    #713518)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 22 Jun 2013 21:46:27 +0200

haskell98-report (20080907-4) unstable; urgency=low

  * Fix haskell.idx generation (Closes: #669528)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 20 Apr 2012 19:55:32 +0200

haskell98-report (20080907-3) unstable; urgency=low

  * GHC 7.4 compatibility (Closes: #665065)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 24 Mar 2012 22:25:35 +0100

haskell98-report (20080907-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Use ghostscript instead of gs-common to fix FTBFS. Patch from Hideki
    Yamane, thanks! (Closes: #618190)
    + No longer see PDF syntax errors (Closes: #585450)
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Thu, 26 May 2011 14:56:32 +0100

haskell98-report (20080907-1) unstable; urgency=low

  * New upstream version, including changes in .diff.gz in upstream
    source package.
  * debian/control: Use only Build-Depends-Indep, except for debhelper.
  * Fix "FTBFS: ! LaTeX Error: File `version.sty' not found." including
    Build-Depends: in texlive-latex-extra. (Closes: #562357)
  * Use compat 7.
  * debian/control: Use ${misc:Depends}.
  * debian/control: Addopt by the Debian Haskell Group.
  * source/format: Use 3.0 (quilt).
  * Remove references to old CVS repo.
  * debian/rules: Don't ignore errors on make clean.
  * debian/rules: Remove commands from binary-arch.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Use Section: Programming/Haskell in doc-base.
  * Remove maintainer scripts, since they were empty.
  * patches/correct-build.patch: Create.
  * Use dh.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 08 Mar 2010 15:44:25 -0300

haskell98-report (20030706-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't Include TrueType Fonts at report/classes.eps Closes: #420479
  * Replace tetex-bin B-D-I with texlive-base and remove tetex-extra

 -- Rene Mayorga <rmayorga@debian.org.sv>  Tue, 26 Aug 2008 09:21:45 -0600

haskell98-report (20030706-3) unstable; urgency=low

  * Fix building with GHC 6.6 by:
    * removing "-package lang" from tools/Makefile
    * commenting out IOExts import in tools/tex.hs
    and tightened build-dep to ghc >= 6.6. Closes: #397628.
  * Fix {,} bashisms in debian/rules.
  * Comment out get-orig-source in debian/rules (no longer points at
    the canonical location, and the sed has bitrotted).
  * Rename Build-Depends-Indep field to Build-Depends.
  * Remove fakeroot from build-depends.
  * Put build-depends all on one line.
  * Run latex 3 times so all the references etc work out.
    Closes: #306029, #322945.
  * Comment out "export DH_VERBOSE=1".
  * Bump policy version to 3.7.2.
  * Change format ps to PostScript in the doc-base files.
  * Thanks to Arjan Oosting for various contributions above.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 25 Nov 2006 22:27:25 +0000

haskell98-report (20030706-2) unstable; urgency=low

  * Correct doc-base files to refer to gzipped files. Closes: #212955.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 13 Nov 2003 18:29:20 +0000

haskell98-report (20030706-1) unstable; urgency=low

  * New upstream source.
  * Add FFI and hierarchical module addenda. Closes: #198247.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 06 Jul 2003 18:02:49 +0000

haskell98-report (20030331-4) unstable; urgency=low

  * Add ps and pdf variants
  * Change build dependency to flex-old from flex. Closes: #200172.
  * Update policy compliancy to 3.5.10.
  * Added ghc as an alternative to ghc5 for building.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 06 Jul 2003 02:00:17 +0000

haskell98-report (20030331-3) unstable; urgency=low

  * Add build dependency on tetex-extra (needs times.sty). Closes: #189887.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 21 Apr 2003 00:01:01 +0100

haskell98-report (20030331-2) unstable; urgency=low

  * Build the DVI file so cross-references work.
  * Remove links on index page to non-existant files.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 01 Apr 2003 16:29:50 +0100

haskell98-report (20030331-1) unstable; urgency=low

  * Split off from haskell-doc package
  * Package the revised edition of the reports.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 31 Mar 2003 17:45:15 +0100

=== debian/control ===
Source: haskell98-report
Section: doc
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Marco Túlio Gontijo e Silva <marcot@debian.org>,
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 7.0.50~),
Build-Depends-Indep:
 flex-old,
 ghc (>= 8.0),
 ghostscript,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended,
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Homepage: http://darcs.haskell.org/haskell98-report/

Package: haskell98-report
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 lynx | www-browser,
Conflicts:
 haskell-doc (<= 19991028-3),
Description: The Haskell 98 Language and Libraries Revised Report & addenda
 Haskell is a non-strict, pure functional general-purpose programming
 language.  This package contains its definition in HTML, PS and PDF
 formats. It is a revised version of "The Haskell 98 Report" and
 "The Haskell 98 Library Report", fixing the bugs documented in
 "Errata for the Haskell 98 Language Report" (which is included).
 .
 It also contains the Foreign Function Interface (FFI) addendum
 and the Hierarchical Modules addendum in PS and PDF formats.

=== debian/watch ===
# IGNORE: No homepage for the Haskell report
